Bug 1299450 - libxml2 python3 bindings "parse()" unusable due to calling decode on a Unicode "str" object in drv_libxml2.py
libxml2 python3 bindings "parse()" unusable due to calling decode on a Unicod...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: libxml2 (Show other bugs)
25
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Daniel Veillard
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-18 07:15 EST by Michael Stahl
Modified: 2016-11-29 08:49 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-29 08:49:35 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Stahl 2016-01-18 07:15:25 EST
Description of problem:
libxml2 python3 bindings "parse()" unusable due to calling decode on a Unicode "str" object in drv_libxml2.py

Version-Release number of selected component (if applicable):
python3-libxml2-2.9.3-2.fc23.x86_64

How reproducible:
always

Steps to Reproduce:
1. run bin/get-bugzilla-attachments-by-mimetype script from LO

Actual results:

Traceback (most recent call last):
  File "/usr/lib64/python3.4/threading.py", line 920, in _bootstrap_inner
    self.run()
  File "/data/lo/master/bin/get-bugzilla-attachments-by-mimetype", line 515, in run
    get_through_rss_query(uri, mimetype, prefix, extension)
  File "/data/lo/master/bin/get-bugzilla-attachments-by-mimetype", line 264, in get_through_rss_query
    process(query, True, get_file_bz_ids(files, prefix))
  File "/data/lo/master/bin/get-bugzilla-attachments-by-mimetype", line 226, in process
    d = feedparser.parse(url)
  File "/usr/lib/python3.4/site-packages/feedparser.py", line 3957, in parse
    saxparser.parse(source)
  File "/usr/lib64/python3.4/site-packages/drv_libxml2.py", line 189, in parse
    eltName = (_d(reader.NamespaceUri()),\
  File "/usr/lib64/python3.4/site-packages/drv_libxml2.py", line 70, in _d
    return _decoder(s)[0]
  File "/usr/lib64/python3.4/encodings/utf_8.py", line 16, in decode
    return codecs.utf_8_decode(input, errors, True)
TypeError: 'str' does not support the buffer interface


Expected results:

no exception

Additional info:

patch for this sent to upstream mailing list:
http://permalink.gmane.org/gmane.comp.gnome.lib.xml.general/18381
Comment 1 Fedora End Of Life 2016-11-24 10:01:45 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Michael Stahl 2016-11-29 08:49:35 EST
still a problem in Fedora 25 but fixed in upstream libxml2 2.9.4 release

Note You need to log in before you can comment on or make changes to this bug.